Manifest-Version: 1.0
Bnd-LastModified: 1717490822399
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Implementation
Bundle-SymbolicName: com.liferay.layout.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.101.hotfix-5570-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.databind
 ;version="2.13",com.fasterxml.jackson.databind.ser;version="2.13",com
 .fasterxml.jackson.databind.ser.impl;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.liferay.application.list;versio
 n="7.0",com.liferay.asset.kernel;version="2.1",com.liferay.asset.kern
 el.model;version="9.2",com.liferay.asset.kernel.service;version="8.1"
 ,com.liferay.asset.list.model;version="4.0",com.liferay.asset.list.se
 rvice;version="2.4",com.liferay.client.extension.model;version="4.1",
 com.liferay.client.extension.service;version="6.1",com.liferay.counte
 r.kernel.service;version="2.2",com.liferay.document.library.kernel.mo
 del;version="8.2",com.liferay.document.library.kernel.service;version
 ="11.2",com.liferay.document.library.util;version="1.2",com.liferay.e
 xportimport.content.processor;version="1.0",com.liferay.exportimport.
 data.handler.base;version="1.0",com.liferay.exportimport.kernel.lar;v
 ersion="4.4",com.liferay.exportimport.kernel.staging;version="2.3",co
 m.liferay.exportimport.kernel.xstream;version="2.0",com.liferay.expor
 timport.lar;version="1.0",com.liferay.exportimport.staged.model.repos
 itory;version="1.1",com.liferay.fragment.contributor;version="6.0",co
 m.liferay.fragment.entry.processor.util;version="2.0",com.liferay.fra
 gment.listener;version="3.0",com.liferay.fragment.model;version="3.4"
 ,com.liferay.fragment.processor;version="8.3",com.liferay.fragment.re
 nderer;version="8.2",com.liferay.fragment.service;version="7.6",com.l
 iferay.fragment.validator;version="2.0",com.liferay.friendly.url.mode
 l;version="3.1",com.liferay.friendly.url.service;version="2.1",com.li
 feray.headless.delivery.dto.v1_0;version="31.12",com.liferay.info.col
 lection.provider;version="4.0",com.liferay.info.exception;version="2.
 5",com.liferay.info.field;version="4.1",com.liferay.info.form;version
 ="2.1",com.liferay.info.item;version="6.0",com.liferay.info.item.prov
 ider;version="2.0",com.liferay.info.list.provider.item.selector.crite
 rion;version="2.0",com.liferay.info.pagination;version="1.1",com.life
 ray.info.search;version="2.1",com.liferay.item.selector.criteria;vers
 ion="2.3",com.liferay.layout.admin.kernel.visibility;version="2.0",co
 m.liferay.layout.content;version="2.0",com.liferay.layout.converter;v
 ersion="1.0",com.liferay.layout.crawler;version="1.0",com.liferay.lay
 out.display.page;version="3.1",com.liferay.layout.exception;version="
 2.0",com.liferay.layout.exporter;version="1.1",com.liferay.layout.fri
 endly.url;version="1.0",com.liferay.layout.helper;version="3.0",com.l
 iferay.layout.importer;version="1.1",com.liferay.layout.list.permissi
 on.provider;version="1.0",com.liferay.layout.list.retriever;version="
 4.0",com.liferay.layout.model;version="2.2",com.liferay.layout.page.t
 emplate.model;version="7.0",com.liferay.layout.page.template.serializ
 er;version="1.0",com.liferay.layout.page.template.service;version="5.
 2",com.liferay.layout.portlet.category;version="1.0",com.liferay.layo
 ut.provider;version="1.0",com.liferay.layout.security.permission.reso
 urce;version="1.0",com.liferay.layout.seo.model;version="3.1",com.lif
 eray.layout.seo.service;version="1.9",com.liferay.layout.service;vers
 ion="2.1",com.liferay.layout.set.model.adapter;version="3.0",com.life
 ray.layout.util;version="10.0",com.liferay.layout.util.structure;vers
 ion="10.2",com.liferay.layout.util.structure.collection;version="1.0"
 ,com.liferay.layout.util.template;version="3.0",com.liferay.layout.ut
 ility.page.converter;version="1.0",com.liferay.layout.utility.page.mo
 del;version="2.0",com.liferay.layout.utility.page.service;version="7.
 1",com.liferay.osgi.service.tracker.collections.map;version="2.3",com
 .liferay.petra.function;version="1.5",com.liferay.petra.function.tran
 sform;version="1.2",com.liferay.petra.reflect;version="1.5",com.lifer
 ay.petra.string;version="1.7",com.liferay.portal.action,com.liferay.p
 ortal.configuration.metatype.annotations;version="1.6",com.liferay.po
 rtal.configuration.metatype.bnd.util;version="3.0",com.liferay.portal
 .json.validator;version="2.0",com.liferay.portal.kernel.comment;versi
 on="4.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.liferay
 .portal.kernel.exception;version="13.1",com.liferay.portal.kernel.fea
 ture.flag;version="1.0",com.liferay.portal.kernel.json;version="12.0"
 ,com.liferay.portal.kernel.language;version="11.0",com.liferay.portal
 .kernel.log;version="8.0",com.liferay.portal.kernel.model;version="29
 .2",com.liferay.portal.kernel.model.adapter;version="5.1",com.liferay
 .portal.kernel.model.adapter.builder;version="1.0",com.liferay.portal
 .kernel.model.impl;version="7.2",com.liferay.portal.kernel.module.uti
 l,com.liferay.portal.kernel.portlet;version="24.1",com.liferay.portal
 .kernel.portlet.render;version="1.0",com.liferay.portal.kernel.portle
 t.url.builder;version="2.0",com.liferay.portal.kernel.portletfilerepo
 sitory;version="5.0",com.liferay.portal.kernel.repository.model;versi
 on="11.2",com.liferay.portal.kernel.search;version="20.1",com.liferay
 .portal.kernel.search.filter;version="1.0",com.liferay.portal.kernel.
 search.highlight;version="1.0",com.liferay.portal.kernel.security.aut
 h;version="6.0",com.liferay.portal.kernel.security.permission;version
 ="6.5",com.liferay.portal.kernel.security.permission.resource;version
 ="2.2",com.liferay.portal.kernel.service;version="23.0",com.liferay.p
 ortal.kernel.service.permission;version="5.0",com.liferay.portal.kern
 el.servlet;version="11.2",com.liferay.portal.kernel.struts;version="8
 .0",com.liferay.portal.kernel.theme;version="10.5",com.liferay.portal
 .kernel.transaction;version="8.1",com.liferay.portal.kernel.util;vers
 ion="59.1",com.liferay.portal.kernel.util.comparator;version="3.1",co
 m.liferay.portal.kernel.workflow;version="18.2",com.liferay.portal.ke
 rnel.xml;version="7.1",com.liferay.portal.kernel.zip;version="6.4",co
 m.liferay.portal.model.impl,com.liferay.portal.search.batch;version="
 2.0",com.liferay.portal.search.localization;version="1.0",com.liferay
 .portal.search.query;version="1.7",com.liferay.portal.search.spi.mode
 l.index.contributor;version="1.2",com.liferay.portal.search.spi.model
 .index.contributor.helper;version="1.0",com.liferay.portal.search.spi
 .model.query.contributor;version="1.1",com.liferay.portal.search.spi.
 model.query.contributor.helper;version="2.0",com.liferay.portal.searc
 h.spi.model.registrar;version="2.0",com.liferay.portal.search.spi.mod
 el.registrar.contributor;version="1.0",com.liferay.portal.search.spi.
 model.result.contributor;version="1.1",com.liferay.portal.service.imp
 l,com.liferay.portal.servlet;version="11.0",com.liferay.portal.struts
 ,com.liferay.portal.struts.model,com.liferay.portal.util;version="48.
 1",com.liferay.portal.vulcan.dto.converter;version="4.0",com.liferay.
 portal.workflow.definition.link.update.handler;version="1.0",com.life
 ray.portlet.exportimport.staging,com.liferay.release.feature.flag;ver
 sion="1.1",com.liferay.segments.model;version="3.0",com.liferay.segme
 nts.service;version="6.1",com.liferay.site.navigation.model;version="
 3.1",com.liferay.site.navigation.service;version="2.8",com.liferay.si
 te.util;version="5.2",com.liferay.sites.kernel.util;version="1.4",com
 .liferay.staging;version="2.0",com.liferay.staging.model.listener;ver
 sion="1.0",com.liferay.style.book.model;version="2.1",com.liferay.sty
 le.book.service;version="1.5",com.liferay.taglib.security;version="8.
 1",com.liferay.translation.info.item.provider;version="1.0",com.lifer
 ay.xstream.configurator;version="2.0",javax.portlet,javax.servlet,jav
 ax.servlet.http,javax.ws.rs.core;version="2.1",org.apache.felix.servi
 ce.command;version="1.0",org.jsoup;version="1.15",org.jsoup.nodes;ver
 sion="1.15",org.jsoup.select;version="1.15",org.osgi.framework;versio
 n="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.internal.action.provider,com.lifer
 ay.layout.internal.configuration,com.liferay.layout.internal.content,
 com.liferay.layout.internal.exporter,com.liferay.layout.internal.expo
 rtimport.data.handler,com.liferay.layout.internal.exportimport.staged
 .model.repository,com.liferay.layout.internal.headless.delivery.dto.v
 1_0.util,com.liferay.layout.internal.helper,com.liferay.layout.intern
 al.importer,com.liferay.layout.internal.importer.exception,com.lifera
 y.layout.internal.importer.helper,com.liferay.layout.internal.importe
 r.structure.util,com.liferay.layout.internal.importer.validator,com.l
 iferay.layout.internal.importer.validator.dependencies,com.liferay.la
 yout.internal.layout.admin.util,com.liferay.layout.internal.list.perm
 ission.provider,com.liferay.layout.internal.list.retriever,com.lifera
 y.layout.internal.model.adapter,com.liferay.layout.internal.model.ada
 pter.builder,com.liferay.layout.internal.model.listener,com.liferay.l
 ayout.internal.osgi.commands,com.liferay.layout.internal.portlet,com.
 liferay.layout.internal.portlet.category,com.liferay.layout.internal.
 provider,com.liferay.layout.internal.search,com.liferay.layout.intern
 al.search.spi.model.index.contributor,com.liferay.layout.internal.sea
 rch.spi.model.query.contributor,com.liferay.layout.internal.search.sp
 i.model.result.contributor,com.liferay.layout.internal.search.util,co
 m.liferay.layout.internal.security.permission,com.liferay.layout.inte
 rnal.security.permission.resource,com.liferay.layout.internal.struts,
 com.liferay.layout.internal.template.util,com.liferay.layout.internal
 .util,com.liferay.layout.internal.visibility,com.liferay.layout.inter
 nal.workflow,com.liferay.layout.internal.workflow.definition.link.upd
 ate.handler,com.liferay.layout.internal.xstream.configurator
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .exportimport.kernel.lar.StagedModelDataHandler";uses:="com.liferay.e
 xportimport.kernel.lar",osgi.service;objectClass:List<String>="com.li
 feray.exportimport.staged.model.repository.StagedModelRepository";use
 s:="com.liferay.exportimport.staged.model.repository",osgi.service;ob
 jectClass:List<String>="com.liferay.exportimport.staged.model.reposit
 ory.StagedModelRepository,com.liferay.layout.internal.exportimport.st
 aged.model.repository.StagedLayoutSetStagedModelRepository";uses:="co
 m.liferay.exportimport.staged.model.repository,com.liferay.layout.int
 ernal.exportimport.staged.model.repository",osgi.service;objectClass:
 List<String>="com.liferay.layout.admin.kernel.visibility.LayoutVisibi
 lityManager";uses:="com.liferay.layout.admin.kernel.visibility",osgi.
 service;objectClass:List<String>="com.liferay.layout.content.LayoutCo
 ntentProvider";uses:="com.liferay.layout.content",osgi.service;object
 Class:List<String>="com.liferay.layout.exporter.LayoutsExporter";uses
 :="com.liferay.layout.exporter",osgi.service;objectClass:List<String>
 ="com.liferay.layout.exporter.PortletPreferencesPortletConfigurationE
 xporter";uses:="com.liferay.layout.exporter",osgi.service;objectClass
 :List<String>="com.liferay.layout.helper.CollectionPaginationHelper";
 uses:="com.liferay.layout.helper",osgi.service;objectClass:List<Strin
 g>="com.liferay.layout.importer.LayoutsImporter";uses:="com.liferay.l
 ayout.importer",osgi.service;objectClass:List<String>="com.liferay.la
 yout.importer.PortletPreferencesPortletConfigurationImporter";uses:="
 com.liferay.layout.importer",osgi.service;objectClass:List<String>="c
 om.liferay.layout.internal.importer.helper.PortletConfigurationImport
 erHelper";uses:="com.liferay.layout.internal.importer.helper",osgi.se
 rvice;objectClass:List<String>="com.liferay.layout.internal.importer.
 helper.PortletPermissionsImporterHelper";uses:="com.liferay.layout.in
 ternal.importer.helper",osgi.service;objectClass:List<String>="com.li
 feray.layout.internal.importer.structure.util.LayoutStructureItemImpo
 rter";uses:="com.liferay.layout.internal.importer.structure.util",osg
 i.service;objectClass:List<String>="com.liferay.layout.internal.osgi.
 commands.LayoutOSGiCommands";uses:="com.liferay.layout.internal.osgi.
 commands",osgi.service;objectClass:List<String>="com.liferay.layout.l
 ist.permission.provider.LayoutListPermissionProviderRegistry";uses:="
 com.liferay.layout.list.permission.provider",osgi.service;objectClass
 :List<String>="com.liferay.layout.list.retriever.LayoutListRetrieverR
 egistry";uses:="com.liferay.layout.list.retriever",osgi.service;objec
 tClass:List<String>="com.liferay.layout.list.retriever.ListObjectRefe
 renceFactoryRegistry";uses:="com.liferay.layout.list.retriever",osgi.
 service;objectClass:List<String>="com.liferay.layout.portlet.category
 .PortletCategoryManager";uses:="com.liferay.layout.portlet.category",
 osgi.service;objectClass:List<String>="com.liferay.layout.provider.La
 youtStructureProvider";uses:="com.liferay.layout.provider",osgi.servi
 ce;objectClass:List<String>="com.liferay.layout.security.permission.r
 esource.LayoutContentModelResourcePermission";uses:="com.liferay.layo
 ut.security.permission.resource",osgi.service;objectClass:List<String
 >="com.liferay.layout.util.BulkLayoutConverter";uses:="com.liferay.la
 yout.util",osgi.service;objectClass:List<String>="com.liferay.layout.
 util.LayoutCopyHelper";uses:="com.liferay.layout.util",osgi.service;o
 bjectClass:List<String>="com.liferay.layout.util.LayoutsTree";uses:="
 com.liferay.layout.util",osgi.service;objectClass:List<String>="com.l
 iferay.layout.util.template.LayoutConverter";uses:="com.liferay.layou
 t.util.template",osgi.service;objectClass:List<String>="com.liferay.l
 ayout.util.template.LayoutConverterRegistry";uses:="com.liferay.layou
 t.util.template",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.kernel.model.ModelListener";uses:="com.liferay.portal.kernel.mo
 del",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .model.adapter.builder.ModelAdapterBuilder";uses:="com.liferay.portal
 .kernel.model.adapter.builder",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.portlet.FriendlyURLResolver";uses:="com.li
 feray.portal.kernel.portlet",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.search.BaseSearcher";uses:="com.liferay.port
 al.kernel.search",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.security.permission.PermissionUpdateHandler";uses:="com
 .liferay.portal.kernel.security.permission",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.security.permission.resource.
 ModelResourcePermission";uses:="com.liferay.portal.kernel.security.pe
 rmission.resource",osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.struts.StrutsAction";uses:="com.liferay.portal.kernel.
 struts",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.workflow.WorkflowHandler";uses:="com.liferay.portal.kernel.workfl
 ow",osgi.service;objectClass:List<String>="com.liferay.portal.search.
 spi.model.index.contributor.ModelDocumentContributor";uses:="com.life
 ray.portal.search.spi.model.index.contributor",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.search.spi.model.index.contributo
 r.ModelIndexerWriterContributor";uses:="com.liferay.portal.search.spi
 .model.index.contributor",osgi.service;objectClass:List<String>="com.
 liferay.portal.search.spi.model.query.contributor.KeywordQueryContrib
 utor";uses:="com.liferay.portal.search.spi.model.query.contributor",o
 sgi.service;objectClass:List<String>="com.liferay.portal.search.spi.m
 odel.query.contributor.ModelPreFilterContributor";uses:="com.liferay.
 portal.search.spi.model.query.contributor",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.search.spi.model.result.contributor.M
 odelSummaryContributor";uses:="com.liferay.portal.search.spi.model.re
 sult.contributor",osgi.service;objectClass:List<String>="com.liferay.
 portal.workflow.definition.link.update.handler.WorkflowDefinitionLink
 UpdateHandler";uses:="com.liferay.portal.workflow.definition.link.upd
 ate.handler",osgi.service;objectClass:List<String>="com.liferay.site.
 util.Sitemap";uses:="com.liferay.site.util",osgi.service;objectClass:
 List<String>="com.liferay.site.util.SitemapURLProvider";uses:="com.li
 feray.site.util",osgi.service;objectClass:List<String>="com.liferay.x
 stream.configurator.XStreamConfigurator";uses:="com.liferay.xstream.c
 onfigurator"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.app
 lication.list.GroupProvider)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.asset.kernel.service.AssetCategoryLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.asset.kernel.service.AssetTagLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.asset.list.service.AssetLis
 tEntryLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.client.extension.service.ClientExtensionEntryRelLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.counter.kernel.service.CounterLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.document.library.kern
 el.service.DLAppService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.exportimport.content.processor.ExportImportCont
 entProcessor)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.exportimport.kernel.lar.ExportImportHelper)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.exportimport.kern
 el.lar.ExportImportProcessCallbackRegistry)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.exportimport.kernel.staging.
 Staging)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.exportimport.lar.ThemeExporter)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.exportimport.lar.ThemeImporter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.expor
 timport.staged.model.repository.StagedModelRepository)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.fragment.contribu
 tor.FragmentCollectionContributorRegistry)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.fragment.listener.FragmentEnt
 ryLinkListenerRegistry)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.fragment.processor.FragmentEntryProcessorRegistr
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 fragment.processor.PortletRegistry)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.fragment.renderer.FragmentRendererCo
 ntroller)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.fragment.renderer.FragmentRendererRegistry)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.fragment.service.Frag
 mentCollectionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.fragment.service.FragmentCollectionService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.fra
 gment.service.FragmentEntryLinkLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.fragment.service.FragmentEn
 tryLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.fragment.validator.FragmentEntryValidator)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.friendly.url.se
 rvice.FriendlyURLEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.info.item.InfoItemServiceRegistry)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.info
 .search.InfoSearchClassMapperRegistry)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.layout.content.LayoutContentProvi
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.layout.crawler.LayoutCrawler)";effective:=active;resolution:=option
 al,osgi.service;filter:="(objectClass=com.liferay.layout.display.page
 .LayoutDisplayPageProviderRegistry)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.layout.friendly.url.LayoutFriendlyUR
 LEntryHelper)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.layout.importer.PortletPreferencesPortletConfigurationImpo
 rter)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.internal.exportimport.staged.model.repository.StagedLayoutS
 etStagedModelRepository)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.layout.internal.importer.helper.PortletConfigur
 ationImporterHelper)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.layout.internal.importer.helper.PortletPermissionsI
 mporterHelper)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.layout.page.template.serializer.LayoutStructureItemJSONSe
 rializer)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.layout.page.template.service.LayoutPageTemplateCollectionLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.layout.page.template.service.LayoutPageTemplateCollectionServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 layout.page.template.service.LayoutPageTemplateEntryLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.layout
 .page.template.service.LayoutPageTemplateEntryService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.layout.page.templ
 ate.service.LayoutPageTemplateStructureLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.layout.security.per
 mission.resource.LayoutContentModelResourcePermission)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.layout.seo.servic
 e.LayoutSEOEntryLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.layout.service.LayoutClassedModelUsageLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.layout.service.LayoutLocalizationLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.layout.util.Layout
 CopyHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.layout.util.LayoutsTree)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.util.template.LayoutConverter)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.lay
 out.util.template.LayoutConverterRegistry)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.layout.utility.page.service.L
 ayoutUtilityPageEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.layout.utility.page.service.LayoutUti
 lityPageEntryService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.comment.CommentManager)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.j
 son.JSONFactory)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.language.Language)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.portlet.Por
 tletPreferencesFactory)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.portletfilerepository.PortletFileR
 epository)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.ClassNameLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.CompanyLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.GroupLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.ImageLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.LayoutLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.LayoutRevisionLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.La
 youtService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.LayoutSetBranchLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.LayoutSetLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.LayoutSetPrototy
 peLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.PortletItemLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.PortletLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.PortletPreferenceVa
 lueLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.PortletPreferencesLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ResourceActionLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.Reso
 urcePermissionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourcePermissionServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.RoleLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.ThemeLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.UserLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Vi
 rtualHostLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.WorkflowInstanceLinkLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.permission.LayoutPermission)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.permission.PortletPermission)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.ColorSchemeFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.util.Html)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.util.HtmlParser)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.P
 ortal)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.ThemeFactory)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.xml.SAXReader)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.zip.ZipWriterFactory)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.batch.DynamicQueryBatchIndexing
 ActionableFactory)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.search.localization.SearchLocalizationHelper)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.search.query.QueryHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.search.spi.model.index.contributor.
 ModelIndexerWriterContributor)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.spi.model.registrar.ModelSe
 archRegistrarHelper)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.search.spi.model.result.contributor.ModelSum
 maryContributor)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.service.impl.LayoutLocalServiceHelper)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.vulca
 n.dto.converter.DTOConverterRegistry)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.segments.service.SegmentsExperienc
 eLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.site.navigation.service.SiteNavigationMenuLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.site
 .util.Sitemap)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.sites.kernel.util.Sites)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.staging.StagingGroupHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.staging.mo
 del.listener.StagingModelListener)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.style.book.service.StyleBookEntryLoca
 lService)";effective:=active,osgi.extender;filter:="(&(osgi.extender=
 osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;os
 gi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(versio
 n=3.0.0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.c
 ontract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=Jav
 aSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.internal.content.Layout
 ContentProviderImpl.xml,OSGI-INF/com.liferay.layout.internal.exporter
 .LayoutsExporterImpl.xml,OSGI-INF/com.liferay.layout.internal.exporte
 r.PortletPreferencesPortletConfigurationExporterImpl.xml,OSGI-INF/com
 .liferay.layout.internal.exportimport.data.handler.LayoutClassedModel
 UsageStagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.internal.
 exportimport.data.handler.LayoutLocalizationStagedModelDataHandler.xm
 l,OSGI-INF/com.liferay.layout.internal.exportimport.data.handler.Stag
 edLayoutSetStagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.int
 ernal.exportimport.staged.model.repository.LayoutClassedModelUsageSta
 gedModelRepository.xml,OSGI-INF/com.liferay.layout.internal.exportimp
 ort.staged.model.repository.LayoutLocalizationStagedModelRepository.x
 ml,OSGI-INF/com.liferay.layout.internal.exportimport.staged.model.rep
 ository.StagedLayoutSetStagedModelRepository.xml,OSGI-INF/com.liferay
 .layout.internal.helper.CollectionPaginationHelperImpl.xml,OSGI-INF/c
 om.liferay.layout.internal.importer.LayoutsImporterImpl.xml,OSGI-INF/
 com.liferay.layout.internal.importer.PortletPreferencesPortletConfigu
 rationImporterImpl.xml,OSGI-INF/com.liferay.layout.internal.importer.
 helper.PortletConfigurationImporterHelper.xml,OSGI-INF/com.liferay.la
 yout.internal.importer.helper.PortletPermissionsImporterHelper.xml,OS
 GI-INF/com.liferay.layout.internal.importer.structure.util.Collection
 ItemLayoutStructureItemImporter.xml,OSGI-INF/com.liferay.layout.inter
 nal.importer.structure.util.CollectionLayoutStructureItemImporter.xml
 ,OSGI-INF/com.liferay.layout.internal.importer.structure.util.ColumnL
 ayoutStructureItemImporter.xml,OSGI-INF/com.liferay.layout.internal.i
 mporter.structure.util.ContainerLayoutStructureItemImporter.xml,OSGI-
 INF/com.liferay.layout.internal.importer.structure.util.DropZoneLayou
 tStructureItemImporter.xml,OSGI-INF/com.liferay.layout.internal.impor
 ter.structure.util.FormLayoutStructureItemImporter.xml,OSGI-INF/com.l
 iferay.layout.internal.importer.structure.util.FragmentDropZoneLayout
 StructureItemImporter.xml,OSGI-INF/com.liferay.layout.internal.import
 er.structure.util.FragmentLayoutStructureItemImporter.xml,OSGI-INF/co
 m.liferay.layout.internal.importer.structure.util.RowLayoutStructureI
 temImporter.xml,OSGI-INF/com.liferay.layout.internal.importer.structu
 re.util.WidgetLayoutStructureItemImporter.xml,OSGI-INF/com.liferay.la
 yout.internal.layout.admin.util.LayoutSitemapURLProvider.xml,OSGI-INF
 /com.liferay.layout.internal.list.permission.provider.LayoutListPermi
 ssionProviderRegistryImpl.xml,OSGI-INF/com.liferay.layout.internal.li
 st.retriever.LayoutListRetrieverRegistryImpl.xml,OSGI-INF/com.liferay
 .layout.internal.list.retriever.ListObjectReferenceRegistryImpl.xml,O
 SGI-INF/com.liferay.layout.internal.model.adapter.builder.LayoutSetMo
 delAdapterBuilder.xml,OSGI-INF/com.liferay.layout.internal.model.adap
 ter.builder.StagedLayoutSetModelAdapterBuilder.xml,OSGI-INF/com.lifer
 ay.layout.internal.model.listener.LayoutFriendlyURLModelListener.xml,
 OSGI-INF/com.liferay.layout.internal.model.listener.LayoutModelListen
 er.xml,OSGI-INF/com.liferay.layout.internal.model.listener.LayoutSetM
 odelListener.xml,OSGI-INF/com.liferay.layout.internal.model.listener.
 LayoutSetStagingModelListener.xml,OSGI-INF/com.liferay.layout.interna
 l.osgi.commands.LayoutOSGiCommands.xml,OSGI-INF/com.liferay.layout.in
 ternal.portlet.VirtualLayoutFriendlyURLResolver.xml,OSGI-INF/com.life
 ray.layout.internal.portlet.category.PortletCategoryManagerImpl.xml,O
 SGI-INF/com.liferay.layout.internal.provider.LayoutStructureProviderI
 mpl.xml,OSGI-INF/com.liferay.layout.internal.search.LayoutSearchRegis
 trar.xml,OSGI-INF/com.liferay.layout.internal.search.LayoutSearcher.x
 ml,OSGI-INF/com.liferay.layout.internal.search.spi.model.index.contri
 butor.LayoutModelDocumentContributor.xml,OSGI-INF/com.liferay.layout.
 internal.search.spi.model.index.contributor.LayoutModelIndexerWriterC
 ontributor.xml,OSGI-INF/com.liferay.layout.internal.search.spi.model.
 query.contributor.LayoutKeywordQueryContributor.xml,OSGI-INF/com.life
 ray.layout.internal.search.spi.model.query.contributor.LayoutModelPre
 FilterContributor.xml,OSGI-INF/com.liferay.layout.internal.search.spi
 .model.result.contributor.LayoutModelSummaryContributor.xml,OSGI-INF/
 com.liferay.layout.internal.security.permission.LayoutPermissionUpdat
 eHandler.xml,OSGI-INF/com.liferay.layout.internal.security.permission
 .resource.LayoutContentModelResourcePermissionImpl.xml,OSGI-INF/com.l
 iferay.layout.internal.security.permission.resource.LayoutModelResour
 cePermission.xml,OSGI-INF/com.liferay.layout.internal.struts.EditLayo
 utStrutsAction.xml,OSGI-INF/com.liferay.layout.internal.struts.GetLay
 outsTreeStrutsAction.xml,OSGI-INF/com.liferay.layout.internal.struts.
 GetPagePreviewStrutsAction.xml,OSGI-INF/com.liferay.layout.internal.s
 truts.RobotsStrutsAction.xml,OSGI-INF/com.liferay.layout.internal.str
 uts.SessionTreeJSClickStrutsAction.xml,OSGI-INF/com.liferay.layout.in
 ternal.struts.UpdateLayoutStrutsAction.xml,OSGI-INF/com.liferay.layou
 t.internal.template.util.DefaultLayoutConverter.xml,OSGI-INF/com.life
 ray.layout.internal.template.util.LayoutConverterRegistryImpl.xml,OSG
 I-INF/com.liferay.layout.internal.util.BulkLayoutConverterImpl.xml,OS
 GI-INF/com.liferay.layout.internal.util.LayoutCopyHelperImpl.xml,OSGI
 -INF/com.liferay.layout.internal.util.LayoutsTreeImpl.xml,OSGI-INF/co
 m.liferay.layout.internal.util.SitemapImpl.xml,OSGI-INF/com.liferay.l
 ayout.internal.visibility.LayoutVisibilityManagerImpl.xml,OSGI-INF/co
 m.liferay.layout.internal.workflow.LayoutWorkflowHandler.xml,OSGI-INF
 /com.liferay.layout.internal.workflow.definition.link.update.handler.
 LayoutRevisionWorkflowDefinitionLinkUpdateHandler.xml,OSGI-INF/com.li
 feray.layout.internal.xstream.configurator.LayoutXStreamConfigurator.
 xml
Tool: Bnd-4.3.0.201909301554

